Foxit PDF SDK

Public Member Functions | Static Public Member Functions | List of all members
com.foxit.sdk.addon.conversion.office2pdf.Office2PDF Class Reference
Inheritance diagram for com.foxit.sdk.addon.conversion.office2pdf.Office2PDF:

## Public Member Functions
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Member Functions
static boolean | convertFromExcel (String src_excel_file_path, String src_file_password, String saved_pdf_path, Office2PDFSettingData setting_data) throws com.foxit.sdk.PDFException
| Convert an Excel format file to a PDF file. More...
static boolean | convertFromExcel (FileReaderCallback src_excel_reader, String src_file_password, StreamCallback saved_pdf_file_stream, Office2PDFSettingData setting_data) throws com.foxit.sdk.PDFException
| Convert an Excel format file to a PDF file. More...
static boolean | convertFromPowerPoint (String src_ppt_file_path, String src_file_password, String saved_pdf_path, Office2PDFSettingData setting_data) throws com.foxit.sdk.PDFException
| Convert a PowerPoint format file to a PDF file. More...
static boolean | convertFromPowerPoint (FileReaderCallback src_ppt_reader, String src_file_password, StreamCallback saved_pdf_file_stream, Office2PDFSettingData setting_data) throws com.foxit.sdk.PDFException
| Convert a PowerPoint format file to a PDF file. More...
static boolean | convertFromWord (String src_word_file_path, String src_file_password, String saved_pdf_path, Office2PDFSettingData setting_data) throws com.foxit.sdk.PDFException
| Convert a Word format file to a PDF file. More...
static boolean | convertFromWord (FileReaderCallback src_word_reader, String src_file_password, StreamCallback saved_pdf_file_stream, Office2PDFSettingData setting_data) throws com.foxit.sdk.PDFException
| Convert a Word format file to a PDF file. More...
static String | getVersion () throws com.foxit.sdk.PDFException
| Get the version of Foxit PDF Conversion SDK. More...
static void | initialize (String library_path) throws com.foxit.sdk.PDFException
| Initialize Foxit PDF Conversion. More...
static void | release () throws com.foxit.sdk.PDFException
| Release all resource allocated by Foxit PDF Conversion. More...

## Detailed Description

This class can be used to convert Office(Word, Excel or PowerPoint) format files to PDF files. This feature is a self-developed product by Foxit and does not rely on other third-party engines. Before using "Conversion" module, please ensure the resource folders named "res" and "lib" in the Foxit PDF Conversion SDK package is valid. Before using methods in this module, please ensure Foxit PDF SDK has been initialized successfully by function common.Library.initialize with a key including "Office2PDF" module.

See also
  com.foxit.sdk.common.Library

## Member Function Documentation

## ◆ convertFromExcel() [1/2]

static boolean com.foxit.sdk.addon.conversion.office2pdf.Office2PDF.convertFromExcel | ( | String | src_excel_file_path,
|  | String | src_file_password,
|  | String | saved_pdf_path,
|  | Office2PDFSettingData | setting_data
| ) |  | throws com.foxit.sdk.PDFException
| static

Convert an Excel format file to a PDF file.

Currently,this function is only available for Windows and Linux (32 bit and 64 bit), and it supports conversion only from XLSX format files.

Parameters

  [in] | src_excel_file_path | Path of an Excel format file. This should not be an empty string.
  [in] | src_file_password | (Reserved,encrypted files are unsupported yet)Password for the input Excel format file. If no password is needed for the file, please pass an empty string.
  [in] | saved_pdf_path | Path of the saved PDF file as conversion result. This should not be an empty string.
  [in] | setting_data | A com.foxit.sdk.addon.conversion.office2pdf.Office2PDFSettingData object which is used for converting.

Returns
  true means success, while false means failure.

## ◆ convertFromExcel() [2/2]

static boolean com.foxit.sdk.addon.conversion.office2pdf.Office2PDF.convertFromExcel | ( | FileReaderCallback | src_excel_reader,
|  | String | src_file_password,
|  | StreamCallback | saved_pdf_file_stream,
|  | Office2PDFSettingData | setting_data
| ) |  | throws com.foxit.sdk.PDFException
| static

Convert an Excel format file to a PDF file.

Currently,this function is only available for Windows and Linux (32 bit and 64 bit), and it supports conversion only from XLSX format files. The file is read all at once, rather than progressively.

Parameters

  [in] | src_excel_reader | A FileReaderCallback object which is implemented by user to load an excel document. It should not be null.
  [in] | src_file_password | (Reserved,encrypted files are unsupported yet)Password for the input Excel format file. If no password is needed for the file, please pass an empty string.
  [in] | saved_pdf_file_stream | A com.foxit.sdk.common.fxcrt.StreamCallback object which is implemented by user to read the contents of the converted PDF file. It should not be null.
  [in] | setting_data | A com.foxit.sdk.addon.conversion.office2pdf.Office2PDFSettingData object which is used for converting.

Returns
  true means success, while false means failure.

## ◆ convertFromPowerPoint() [1/2]

static boolean com.foxit.sdk.addon.conversion.office2pdf.Office2PDF.convertFromPowerPoint | ( | String | src_ppt_file_path,
|  | String | src_file_password,
|  | String | saved_pdf_path,
|  | Office2PDFSettingData | setting_data
| ) |  | throws com.foxit.sdk.PDFException
| static

Convert a PowerPoint format file to a PDF file.

Currently,this function is only available for Windows and Linux (32 bit and 64 bit), and it supports conversion only from PPTX format files.

Parameters

  [in] | src_ppt_file_path | Path of a PowerPoint format file. This should not be an empty string.
  [in] | src_file_password | (Reserved,encrypted files are unsupported yet)Password for the input PowerPoint format file. If no password is needed for the file, please pass an empty string.
  [in] | saved_pdf_path | Path of the saved PDF file as conversion result. This should not be an empty string.
  [in] | setting_data | A com.foxit.sdk.addon.conversion.office2pdf.Office2PDFSettingData object which is used for converting.

Returns
  true means success, while false means failure.

## ◆ convertFromPowerPoint() [2/2]

static boolean com.foxit.sdk.addon.conversion.office2pdf.Office2PDF.convertFromPowerPoint | ( | FileReaderCallback | src_ppt_reader,
|  | String | src_file_password,
|  | StreamCallback | saved_pdf_file_stream,
|  | Office2PDFSettingData | setting_data
| ) |  | throws com.foxit.sdk.PDFException
| static

Convert a PowerPoint format file to a PDF file.

Currently,this function is only available for Windows and Linux (32 bit and 64 bit), and it supports conversion only from PPTX format files. The file is read all at once, rather than progressively.

Parameters

  [in] | src_ppt_reader | A FileReaderCallback object which is implemented by user to load a PowerPoint document. It should not be null.
  [in] | src_file_password | (Reserved,encrypted files are unsupported yet)Password for the input PowerPoint format file. If no password is needed for the file, please pass an empty string.
  [in] | saved_pdf_file_stream | A com.foxit.sdk.common.fxcrt.StreamCallback object which is implemented by user to read the contents of the converted PDF file. It should not be null.
  [in] | setting_data | A com.foxit.sdk.addon.conversion.office2pdf.Office2PDFSettingData object which is used for converting.

Returns
  true means success, while false means failure.

## ◆ convertFromWord() [1/2]

static boolean com.foxit.sdk.addon.conversion.office2pdf.Office2PDF.convertFromWord | ( | String | src_word_file_path,
|  | String | src_file_password,
|  | String | saved_pdf_path,
|  | Office2PDFSettingData | setting_data
| ) |  | throws com.foxit.sdk.PDFException
| static

Convert a Word format file to a PDF file.

Currently,this function is only available for Windows and Linux (32 bit and 64 bit), and it supports conversion from DOCX/DOC format files.

Parameters

  [in] | src_word_file_path | Path of a Word format file. This should not be an empty string.
  [in] | src_file_password | (Reserved,encrypted files are unsupported yet)Password for the input Word format file. If no password is needed for the file, please pass an empty string.
  [in] | saved_pdf_path | Path of the saved PDF file as conversion result. This should not be an empty string.
  [in] | setting_data | A com.foxit.sdk.addon.conversion.office2pdf.Office2PDFSettingData object which is used for converting.

Returns
  true means success, while false means failure.

## ◆ convertFromWord() [2/2]

static boolean com.foxit.sdk.addon.conversion.office2pdf.Office2PDF.convertFromWord | ( | FileReaderCallback | src_word_reader,
|  | String | src_file_password,
|  | StreamCallback | saved_pdf_file_stream,
|  | Office2PDFSettingData | setting_data
| ) |  | throws com.foxit.sdk.PDFException
| static

Convert a Word format file to a PDF file.

Currently,this function is only available for Windows and Linux (32 bit and 64 bit), and it supports conversion from DOCX/DOC format files. The file is read all at once, rather than progressively.

Parameters

  [in] | src_word_reader | A FileReaderCallback object which is implemented by user to load a word document. It should not be null.
  [in] | src_file_password | (Reserved,encrypted files are unsupported yet)Password for the input Word format file. If no password is needed for the file, please pass an empty string.
  [in] | saved_pdf_file_stream | A com.foxit.sdk.common.fxcrt.StreamCallback object which is implemented by user to read the contents of the converted PDF file. It should not be null.
  [in] | setting_data | A com.foxit.sdk.addon.conversion.office2pdf.Office2PDFSettingData object which is used for converting.

Returns
  true means success, while false means failure.

## ◆ delete()

synchronized void com.foxit.sdk.addon.conversion.office2pdf.Office2PDF.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getVersion()

static String com.foxit.sdk.addon.conversion.office2pdf.Office2PDF.getVersion | ( |  | ) | throws com.foxit.sdk.PDFException
| static

Get the version of Foxit PDF Conversion SDK.

This function should be called after the function Office2PDF.initialize has been called successfully.

Returns
  A string which contains the version information of Foxit PDF Conversion SDK.

## ◆ initialize()

static void com.foxit.sdk.addon.conversion.office2pdf.Office2PDF.initialize | ( | String | library_path | ) | throws com.foxit.sdk.PDFException
| static

Initialize Foxit PDF Conversion.

During the life-cycle of "Office2PDF" module, this function can only be called once and should be called first before any other functions in "Office2PDF" module can be called.

Parameters

  [in] | library_path | Path of Foxit PDF Conversion SDK library. This should not be an empty string.

Returns
  None.

Note
  If module "Office2PDF" is not defined in the license information which is used in function common.Library.initialize , that means user has no right in using Office2PDF related functions and this function will throw exception com.foxit.sdk.common.Constants.e_ErrNoOffice2PDFModuleRight .

## ◆ release()

static void com.foxit.sdk.addon.conversion.office2pdf.Office2PDF.release | ( |  | ) | throws com.foxit.sdk.PDFException
| static

Release all resource allocated by Foxit PDF Conversion.

When the user does not use "Office2PDF" module, this function should be called to release all memory blocks allocated by the library.

Returns
  None.